> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Details

Get transaction details including ETH value and USD conversion via Chainlink oracle. Returns sender, recipient, value in wei/ETH/USD, and the ETH price used. Ideal for: liquidity checks, transaction analysis, threshold filters, token launch sniping.

![Get Transaction Details logo](https://ai-icon.b3.fun/logo/ethereum)
Catalog action EVM Onchain

Get transaction details including ETH value and USD conversion via Chainlink oracle. Returns sender, recipient, value in wei/ETH/USD, and the ETH price used. Ideal for: liquidity checks, transaction analysis, threshold filters, token launch sniping.


## At a Glance

| Field | Value |
| --- | --- |
| Action ID | `get-transaction-details` |
| Category | EVM Onchain |
| Connector | Not required |
| Requires gas | No |
| Funds movement | None declared |
| Tags | `blockchain`, `evm`, `transaction`, `query`, `read`, `price`, `oracle` |

## Payload Schema

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `txHash` | `string` | Yes | Transaction hash to look up |
| `chainId` | `number` | Yes | Chain ID \(1=Ethereum, 8453=Base, 42161=Arbitrum, etc.\) |

## Result Schema

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `valueWei` | `string` | Yes | Transaction value in wei |
| `valueEth` | `number` | Yes | Transaction value in ETH \(formatted\) |
| `valueUsd` | `number` | Yes | Transaction value in USD via Chainlink oracle |
| `ethPriceUsd` | `number` | Yes | ETH price in USD used for conversion |
| `from` | `string` | Yes | Sender address |
| `to` | `string` | Yes | Recipient address |

## Examples

**Workflow node**

```json
{
  "type": "get-transaction-details",
  "payload": {
    "txHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
    "chainId": 8453
  },
  "children": []
}
```
  **Test with API**

```bash
curl -X POST "https://api.b3os.org/v1/actions/get-transaction-details/test" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "inputs": {
    "txHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
    "chainId": 8453
  }
}'
```

**Use expressions for dynamic values**

Payload fields can use workflow expressions such as `{{$trigger.body.amount}}`, `{{$nodes.fetch.result.price}}`, and `{{$props.asset}}` when the value should come from a trigger, prior node, or reusable workflow prop.